
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TObjectType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TObjectType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN"&gt;
 *     &lt;enumeration value="taskData"/&gt;
 *     &lt;enumeration value="taskTypeData"/&gt;
 *     &lt;enumeration value="taskBusinessData"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TObjectType")
@XmlEnum
public enum TObjectType {

    @XmlEnumValue("taskData")
    TASK_DATA("taskData"),
    @XmlEnumValue("taskTypeData")
    TASK_TYPE_DATA("taskTypeData"),
    @XmlEnumValue("taskBusinessData")
    TASK_BUSINESS_DATA("taskBusinessData");
    private final String value;

    TObjectType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TObjectType fromValue(String v) {
        for (TObjectType c: TObjectType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
